# Class AppConfigService

#### Hierarchy (view full)

- RWSService
  - AppConfigService

- Defined in src/services/AppConfigService.ts:29

#####
Index

### Constructors

constructor

### Properties

_RELOADABLE
_custom_data
cfgString
data
_instances

### Methods

get
getData
getReloadable
reloadConfig
reloadService
set
getConfigSingleton
getSingleton

## Constructors

### constructor

- new AppConfigService(cfg): AppConfigService

- #### Parameters

  - ##### cfg: IAppConfig

  #### Returns AppConfigService

  Overrides RWSService.constructor

  - Defined in src/services/AppConfigService.ts:37

## Properties

### _RELOADABLE

_RELOADABLE: boolean = false

Inherited from RWSService._RELOADABLE

- Defined in src/services/_service.ts:2

### `Private` _custom_data

_custom_data: {
[key: string]: any;
} = {}

#### Type declaration

- ##### [key: string]: any

- Defined in src/services/AppConfigService.ts:30

### `Private` cfgString

cfgString: string

- Defined in src/services/AppConfigService.ts:35

### `Private` data

data: IAppConfig

- Defined in src/services/AppConfigService.ts:34

### `Static` `Protected` _instances

_instances: {
[key: string]: RWSService;
} = {}

#### Type declaration

- ##### [key: string]: RWSService

Inherited from RWSService._instances

- Defined in src/services/_service.ts:7

## Methods

### get

- get(key): any

- #### Parameters

  - ##### key: string

  #### Returns any

  - Defined in src/services/AppConfigService.ts:47

### getData

- getData(): IAppConfig

- #### Returns IAppConfig

  - Defined in src/services/AppConfigService.ts:42

### getReloadable

- getReloadable(): string

- #### Returns string

  Inherited from RWSService.getReloadable

  - Defined in src/services/_service.ts:19

### reloadConfig

- reloadConfig(cfgString): AppConfigService

- #### Parameters

  - ##### cfgString: string

  #### Returns AppConfigService

  - Defined in src/services/AppConfigService.ts:65

### reloadService

- reloadService<T>(this, ...params): InstanceType<T>

- #### Type Parameters

  - #### T extends (new (...args) => RWSService)

  #### Parameters

  - ##### this: T

  - ##### `Rest` ...params: any[]

  #### Returns InstanceType<T>

  Inherited from RWSService.reloadService

  - Defined in src/services/_service.ts:23

### set

- set(key, val): void

- #### Parameters

  - ##### key: string

  - ##### val: any

  #### Returns void

  - Defined in src/services/AppConfigService.ts:60

### `Static` getConfigSingleton

- getConfigSingleton<T>(this, cfg?): AppConfigService

- #### Type Parameters

  - #### T extends (new (...args) => RWSService)

  #### Parameters

  - ##### this: T

  - ##### `Optional` cfg: IAppConfig

  #### Returns AppConfigService

  - Defined in src/services/AppConfigService.ts:73

### `Static` getSingleton

- getSingleton<T>(this): InstanceType<T>

- #### Type Parameters

  - #### T extends (new (...args) => RWSService)

  #### Parameters

  - ##### this: T

  #### Returns InstanceType<T>

  Inherited from RWSService.getSingleton

  - Defined in src/services/_service.ts:9

Generated using TypeDoc